com.saxonica.config

## Class JavaPlatformPE

- java.lang.Object
- - net.sf.saxon.java.JavaPlatform
  - - com.saxonica.config.JavaPlatformPE

- All Implemented Interfaces:
    Serializable, Platform

      public class JavaPlatformPE
      extends JavaPlatform

  Implementation of the Platform class containing methods specific to the Java platform (as distinct from .NET) for Saxon-PE and Saxon-EE. This is a singleton class with no instance data.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaPlatformPE()` The constructor is called during the static initialization of the Configuration

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionLibraries(FunctionLibraryList list, Configuration config, int hostLanguage)` Add the platform-specific function libraries to a function library list.
    `void` | `initialize(Configuration config)` Perform platform-specific initialization of the configuration
    `void` | `registerAllBuiltInObjectModels(Configuration config)` Register all the external object models that are provided as standard with the relevant edition of Saxon for this Configuration

    - ### Methods inherited from class net.sf.saxon.java.JavaPlatform

      `canReturnCollationKeys, compileRegularExpression, getClassLoaderForGeneratedClass, getCollationKey, getExternalObjectType, getInstallationDirectory, getParserSource, getPlatformSuffix, getPlatformVersion, isDotNet, isJava, loadParser, makeCollation, setDefaultSAXParserFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaPlatformPE

          public JavaPlatformPE()

      The constructor is called during the static initialization of the Configuration

  - ### Method Detail

    - #### initialize

          public void initialize(Configuration config)

      Perform platform-specific initialization of the configuration
      Specified by:
        `initialize` in interface `Platform`
      Overrides:
        `initialize` in class `JavaPlatform`
      Parameters:
        `config` - the Saxon Configuration

    - #### addFunctionLibraries

          public void addFunctionLibraries(FunctionLibraryList list,
                                  Configuration config,
                                  int hostLanguage)

      Add the platform-specific function libraries to a function library list.
      Overrides:
        `addFunctionLibraries` in class `JavaPlatform`
      Parameters:
        `list` - the function library list that is to be extended
        `config` - the Configuration
        `hostLanguage` - the host language, for example Configuration.XQUERY

    - #### registerAllBuiltInObjectModels

          public void registerAllBuiltInObjectModels(Configuration config)

      Register all the external object models that are provided as standard with the relevant edition of Saxon for this Configuration
      Specified by:
        `registerAllBuiltInObjectModels` in interface `Platform`
      Overrides:
        `registerAllBuiltInObjectModels` in class `JavaPlatform`
      Since:
        9.3

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.